Ubuntu, Canonical publie des mises à jour de sécurité, détails

Spread the love

Canonical propose de nouvelles mises à jour pour Ubuntu. Elles apportent des solutions à plusieurs problèmes de sécurité.  Ces vulnérabilités concernent diverses versions du système d’exploitation dont les éditions 14.04, 16.04, 18.04 et 19.10.

Ces différentes failles permettent à un pirate de provoquer un déni de service. Le système d’exploitation peut se retrouver bloqué tandis que des informations sensibles peuvent être récupérées. Canonical liste trois problèmes en date du 6 avril 2020 à savoir USN-4318-1, USN-4320-1 et USN-4319-1. Tous font référence à des vulnérabilités affectant le noyau Linux.

Distribution Linux Ubuntu et la sécurité

Dans le détail USN-4318-1 liste des failles du noyau Linux concernant les distributions Linux Ubuntu 16.04 LTS et 18.04 LTS. Leur exploitation au travers d’une attaque locale pour engendrer un déni de service ou une exposition d’informations sensibles. A cela s’ajoute un problème dans  la mise en œuvre KVM pour les processeurs PowerPC. Là encore un accès local est nécessaire pour provoquer un plantage du système. Enfin une défaillance touche le système de fichiers ext4.

De son coté USN-4320-1 détaille une faille affectant Ubuntu 16.04 LTS et 14.04 ESM. Une nouvelle fois elle permet à un pirate de planter l’OS ou de récupérer des informations sensibles.

Enfin, l’USN-4319-1 concerne Ubuntu 19.10 et Ubuntu 18.04 LTS avec un risque de déni de service si ces problèmes de sécurité sont exploités par une personne malveillante. Canonical explique

« On a découvert un souci dans la mise en œuvre du gestionnaire de messages IPMI dans le noyau Linux. Un attaquant local peut profiter de cette situation pour provoquer un déni de service (épuisement de la mémoire de noyau). (CVE-2019-19046) »

Toutes ces mises à jour sont disponibles dès à présent. Canonical recommande une mise à jour de ses distribution Linux Ubuntu dès que possible.

Leave a Reply